{ lib, ... }:
{
  environment.variables = {
    PATH = "$PATH:/etc/nixos/scripts";
    EDITOR = "nvim";
    VISUAL = "code";

    # XDG settings
    XDG_CONFIG_HOME = lib.mkDefault "$HOME/.config";

    # less settings
    LESS = "-R";
    # Fix unicode characters not being displayed properly in less or cat (bat)
    # https://github.com/sharkdp/bat/issues/2578#issuecomment-1598332705
    LESSUTFCHARDEF = "E000-F8FF:p,F0000-FFFFD:p,100000-10FFFD:p";
  };

  environment.sessionVariables = {
    # Enable Ozone Wayland support in Chromium and Electron applications
    #TODO - This causes issues with VSCode until the November 2024 release.
    NIXOS_OZONE_WL = lib.mkDefault "";
  };
}
